const s = "weekstart", t = "1.1.0", e = "Library to get first day of week.", n = "https://github.com/gamtiq/weekstart", o = "dist/commonjs/main.js", i = "dist/es-module/main.js", c = [
  "dist",
  "full.js",
  "full.d.ts",
  "index.d.ts",
  "src",
  "History.md"
], m = [
  "week",
  "start",
  "first",
  "day",
  "locale",
  "country",
  "region"
], r = {
  "@babel/preset-env": "^7.13.10",
  eslint: "^7.22.0",
  "eslint-config-guard": "^2.0.1",
  "ink-docstrap": "1.3.2",
  jest: "^26.6.3",
  jsdoc: "^3.6.6",
  "jsdoc-file": "^1.0.1",
  microbundle: "0.4.4",
  "version-bump-prompt": "^6.1.0"
}, l = {
  lint: 'eslint --cache --max-warnings 0 "**/*.js"',
  "lint-error": 'eslint --cache "**/*.js"',
  "lint-all": 'eslint --max-warnings 0 "**/*.js"',
  "lint-all-error": 'eslint "**/*.js"',
  test: "jest",
  check: "npm run lint && npm test",
  "check-all": "npm run lint-all && npm test",
  doc: "jsdoc -c jsdoc-conf.js",
  "build-commonjs": 'microbundle build "src/!(*.test).js" --output dist/commonjs --format cjs --strict --no-compress',
  "build-esm": 'microbundle build "src/!(*.test).js" --output dist/es-module --format es --no-compress',
  "build-umd": "microbundle build src/main.js src/full.js --output dist --format umd --strict --no-compress",
  "build-umd-min": "microbundle build src/main.js src/full.js --output dist/min --format umd --strict",
  build: "npm run build-umd && npm run build-commonjs && npm run build-esm && npm run build-umd-min",
  all: "npm run check-all && npm run doc && npm run build",
  release: "bump patch --commit --tag --all --push package.json package-lock.json bower.json component.json",
  "release-minor": "bump minor --commit --tag --all --push package.json package-lock.json bower.json component.json",
  "release-major": "bump major --commit --tag --all --push package.json package-lock.json bower.json component.json"
}, a = {
  name: "Denis Sikuler"
}, u = {
  type: "git",
  url: "git://github.com/gamtiq/weekstart.git"
}, d = {
  url: "https://github.com/gamtiq/weekstart/issues"
}, p = "MIT", j = "./index.d.ts", b = {
  name: s,
  version: t,
  description: e,
  homepage: n,
  main: o,
  module: i,
  "umd:main": "dist/main.js",
  files: c,
  keywords: m,
  devDependencies: r,
  scripts: l,
  author: a,
  repository: u,
  bugs: d,
  license: p,
  types: j
};
export {
  a as author,
  d as bugs,
  b as default,
  e as description,
  r as devDependencies,
  c as files,
  n as homepage,
  m as keywords,
  p as license,
  o as main,
  i as module,
  s as name,
  u as repository,
  l as scripts,
  j as types,
  t as version
};
